Bug 207683 - unsatisfied dependencies for redhat-lsb
Summary: unsatisfied dependencies for redhat-lsb
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-lsb
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lawrence Lim
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-22 15:11 UTC by Need Real Name
Modified: 2014-03-26 00:53 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-03-24 05:46:07 UTC


Attachments (Terms of Use)

Description Need Real Name 2006-09-22 15:11:16 UTC
rpm -Va says, that redhat-lsb has unsatisfied dependencies on:
 /usr/bin/ar
 /usr/bin/m4
 /usr/bin/patch
 /usr/bin/strip

Comment 1 Lawrence Lim 2006-09-25 01:05:53 UTC
Are these installed on your system?? These is a list mandate by LSB Spec as must
have in the system if you want the system to be LSB compliance.

Comment 2 Need Real Name 2006-09-25 06:40:52 UTC
A new check says that:
 /usr/bin/ar <- INSTALLED
 /usr/bin/m4 <- NOT INSTALLED
 /usr/bin/patch <- NOT INSTALLED
 /usr/bin/strip <- INSTALLED

Try it yourself - rpm -V lsb-release

This was a fresh install clicking all the default options.

Comment 3 Need Real Name 2006-09-25 08:19:30 UTC
re-confirmed with fresh-install - all four dependencies are missing.

Comment 4 Need Real Name 2006-09-27 10:34:26 UTC
This is a blocker for FC6, isn't it?

Comment 5 Need Real Name 2006-09-29 22:16:48 UTC
Was this fixed?

Comment 6 Kevin Fenzi 2007-03-24 05:46:07 UTC
It sure looks like it was fixed here... 
I can't duplicate the problem on a fc6 system at least. 

The changelog in the redhat-lsb package just has: 

* Thu Sep 21 2006 Lawrence Lim <llim@redhat.com> - 3.1-10.3
- Fix upgrade issue; Bug 202548

But that bug is not accessable, so it's hard to say if it's related to this one. 

I am going to go ahead and close this bug now, but if you can spot any issues 
with the fc6 redhat-lsb, please feel free to re-open or file a new bug.



Note You need to log in before you can comment on or make changes to this bug.